# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepci/nonbillactivity/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepci/nonbillactivity/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepci\\Nonbillactivity\\": "packages/litepci/nonbillactivity/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Nonbillactivity'  => Litepci\Nonbillactivity\Facades\Nonbillactivity::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepci\\NonbillactivityTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Nonbillactivity\Providers\NonbillactivityServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/nonbillactivity/{modulename}

**User**

    http://path-to-route-folder/user/nonbillactivity/{modulename}

**Public**

    http://path-to-route-folder/nonbillactivities


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/nonbillactivity/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/nonbillactivity/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/nonbillactivity/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/nonbillactivity/{modulename}/{slug}
    METHOD: GET